@use 'igniteui-angular/theming' as *;
@use 'variables' as *;
@use 'app-layout';

@import '~@swimlane/ngx-datatable/index.css';
@import '~@swimlane/ngx-datatable/themes/material.scss';
@import '~@swimlane/ngx-datatable/assets/icons.css';
/* autoprefixer grid: on */
html,
body {
    height: 100%;
    overflow: hidden;
    margin: 0;
}

@include core();
@include typography();
@include theme(
    $palette: $palette,
    $schema: $schema
);

:root {
    @include palette-vars($palette);
}

.light-theme {
    @include light-theme($palette);
}

.dark-theme {
    background: #333;
    color: #fff;
    @include dark-theme(
        $palette: $green-palette
    );

    .grid-chart-contextmenu-wrapper {
        @include fluent-dark-theme($fluent-excel-palette);
    }
}

.fin-dark-theme {
    @include dark-theme($green-palette);
    background: #333;

    ::-moz-placeholder {
        opacity: 1;
    }
}
